## helma.util
Class WrappedMap

    java.lang.Object
      helma.util.WrappedMap

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  CopyOnWriteMap

    public class WrappedMap

extends java.lang.Object
implements java.util.Map

A Map that wraps another map. We use this class to be able to wrap maps as native objects within a scripting engine rather than exposing them through Java reflection. Additionally, instances of this class can be set to readonly so that the original map can't be modified.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected boolean` `readonly`
`protected java.util.Map` `wrapped`

Constructor Summary
`WrappedMap(java.util.Map map)` Constructor
`WrappedMap(java.util.Map map, boolean readonly)` Constructor

Method Summary
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(java.lang.Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`boolean` `isReadonly()` Is this map readonly?
`java.util.Set` `keySet()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map t)`
`java.lang.Object` `remove(java.lang.Object key)`
`void` `setReadonly(boolean readonly)` Set the readonly flag on or off
`int` `size()`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### wrapped

    protected java.util.Map wrapped

### readonly

    protected boolean readonly

Constructor Detail

### WrappedMap

    public WrappedMap(java.util.Map map)

  Constructor

### WrappedMap

    public WrappedMap(java.util.Map map,
                      boolean readonly)

  Constructor

Method Detail

### setReadonly

    public void setReadonly(boolean readonly)

  Set the readonly flag on or off

### isReadonly

    public boolean isReadonly()

  Is this map readonly?

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map t)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map`
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.